Bug 120862 - Crash selecting a bullets or number item with double click
Summary: Crash selecting a bullets or number item with double click
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+ Master
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-10-24 09:34 UTC by Telesto
Modified: 2018-10-29 16:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-10-24 09:34:28 UTC
Description:
Crash selecting a bullets or number item with double click

Steps to Reproduce:
1. Open Writer
2. Format -> Bullets and numbering
3. Double click on a bullets or numbering item -> Crash 

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.2.0.0.alpha1+
Build ID: 0378bfcea51ff0f379d0954aa6740f1829909dc3
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-10-24_00:14:48
Locale: nl-NL (nl_NL); Calc: CL
Comment 1 Xisco Faulí 2018-10-24 09:59:34 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ea7b290a691f33caa3327bd1cb57b97a92c94dc7

author	Caolán McNamara <caolanm@redhat.com>	2018-10-02 12:15:24 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-10-03 09:50:45 +0200
commit	ea7b290a691f33caa3327bd1cb57b97a92c94dc7 (patch)
tree	8c8ebddc42674caac4b9cdef431306cccc0618d8
parent	2b402bbd34624c4759fa411c98bb60da1dd11e76 (diff)
weld SwSvxNumBulletTabDialog

Bisected with: bibisect-linux64-6.2 

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2018-10-24 12:10:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7579a33a2e19b55e9448fccdf3ce8dccfbce3478

Resolves: tdf#120862 double-click in bullets and numbering

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 BogdanB 2018-10-29 09:19:39 UTC
Solved. Ferified on:
Version: 6.2.0.0.alpha1+
Build ID: 3cccff0bbd17ecd4ce386c9eaea06bfa3d14115b
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-10-27_16:28:45
Locale: en-US (ro_RO.UTF-8); Calc: threaded
Comment 4 Xisco Faulí 2018-10-29 16:21:49 UTC
Verified in

Version: 6.2.0.0.alpha1+
Build ID: 19a0698079fbba36646a2d06eaec3a7fde60b2f5
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Caolán, thanks for fixing this!!